Bug 1204402 - [abrt] pkgwat: __init__.py:805:resolve:DistributionNotFound: pbr!=0.7,<1.0,>=0.6
Summary: [abrt] pkgwat: __init__.py:805:resolve:DistributionNotFound: pbr!=0.7,<1.0,>=0.6
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: pkgwat
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ralph Bean
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:116b0949b82eec9ee983ccc056a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-21 16:51 UTC by Török Edwin
Modified: 2015-05-14 21:08 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-14 21:08:51 UTC


Attachments (Terms of Use)
File: backtrace (2.96 KB, text/plain)
2015-03-21 16:51 UTC, Török Edwin
no flags Details
File: environ (2.72 KB, text/plain)
2015-03-21 16:51 UTC, Török Edwin
no flags Details

Description Török Edwin 2015-03-21 16:51:19 UTC
Description of problem:
$ pkgwat --help
Traceback (most recent call last):
  File "/usr/bin/pkgwat", line 5, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 3018, in <module>
    working_set = WorkingSet._build_master()
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 612, in _build_master
    ws.require(__requires__)
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 918, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 805, in resolve
    raise DistributionNotFound(req)
pkg_resources.DistributionNotFound: pbr!=0.7,<1.0,>=0.6

Version-Release number of selected component:
pkgwat-0.11-1.fc22

Additional info:
reporter:       libreport-2.5.0
cmdline:        /usr/bin/python2 /usr/bin/pkgwat
dso_list:       python-setuptools-12.0.3-1.fc22.noarch
executable:     /usr/bin/pkgwat
kernel:         4.0.0-0.rc4.git0.1.fc22.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
__init__.py:805:resolve:DistributionNotFound: pbr!=0.7,<1.0,>=0.6

Traceback (most recent call last):
  File "/usr/bin/pkgwat", line 5, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 3018, in <module>
    working_set = WorkingSet._build_master()
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 612, in _build_master
    ws.require(__requires__)
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 918, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 805, in resolve
    raise DistributionNotFound(req)
DistributionNotFound: pbr!=0.7,<1.0,>=0.6

Local variables in innermost frame:
dist: None
to_activate: [pkgwat.cli 0.11 (/usr/lib/python2.7/site-packages), fabulous 0.1.5 (/usr/lib/python2.7/site-packages), cliff 1.7.0 (/usr/lib/python2.7/site-packages), six 1.9.0 (/usr/lib/python2.7/site-packages), pkgwat.api 0.12 (/usr/lib/python2.7/site-packages), grapefruit 0.1a3 (/usr/lib/python2.7/site-packages), stevedore 1.1.0 (/usr/lib/python2.7/site-packages), six 1.9.0 (/usr/lib/python2.7/site-packages), pyparsing 2.0.3 (/usr/lib/python2.7/site-packages), prettytable 0.7.2 (/usr/lib/python2.7/site-packages), cmd2 0.6.7 (/usr/lib/python2.7/site-packages), requests 2.5.3 (/usr/lib/python2.7/site-packages)]
req: Requirement.parse('pbr!=0.7,<1.0,>=0.6')
requirements: []
new_requirements: []
replace_conflicting: False
required_by: defaultdict(<type 'set'>, {Requirement.parse('cmd2>=0.6.7'): set(['cliff']), Requirement.parse('grapefruit'): set(['fabulous']), Requirement.parse('six>=1.7.0'): set(['stevedore', 'cliff']), Requirement.parse('requests'): set(['pkgwat.api']), Requirement.parse('six'): set(['pkgwat.cli', 'pkgwat.api']), Requirement.parse('fabulous'): set(['pkgwat.cli']), Requirement.parse('cliff'): set(['pkgwat.cli']), Requirement.parse('pyparsing>=2.0.1'): set(['cliff']), Requirement.parse('pkgwat.api>=0.11'): set(['pkgwat.cli']), Requirement.parse('pbr!=0.7,<1.0,>=0.6'): set(['stevedore']), Requirement.parse('stevedore>=0.14'): set(['cliff']), Requirement.parse('PrettyTable<0.8,>=0.7'): set(['cliff'])})
ws: <pkg_resources.WorkingSet object at 0x7f3c56d66210>
new_requirement: Requirement.parse('pbr!=0.7,<1.0,>=0.6')
env: <pkg_resources.Environment object at 0x7f3c56d66250>
installer: None
self: <pkg_resources.WorkingSet object at 0x7f3c56d66210>
best: {'pbr': None}
processed: {Requirement.parse('cmd2>=0.6.7'): True, Requirement.parse('grapefruit'): True, Requirement.parse('six>=1.7.0'): True, Requirement.parse('requests'): True, Requirement.parse('six'): True, Requirement.parse('fabulous'): True, Requirement.parse('cliff'): True, Requirement.parse('pyparsing>=2.0.1'): True, Requirement.parse('pkgwat.api>=0.11'): True, Requirement.parse('pkgwat.cli==0.11'): True, Requirement.parse('stevedore>=0.14'): True, Requirement.parse('PrettyTable<0.8,>=0.7'): True}

Comment 1 Török Edwin 2015-03-21 16:51:22 UTC
Created attachment 1004899 [details]
File: backtrace

Comment 2 Török Edwin 2015-03-21 16:51:23 UTC
Created attachment 1004900 [details]
File: environ

Comment 3 Ralph Bean 2015-03-22 19:11:58 UTC
I have a feeling this bug is more directly related to python-cliff:

~❯ pkgwat releases python-cliff
+---------------+----------------+-----------------+
| release       | stable_version | testing_version |
+---------------+----------------+-----------------+
| Rawhide       | 1.10.0-1.fc23  | None            |
| Fedora 22     | 1.7.0-1.fc22   | None            |
| Fedora 21     | 1.6.1-3.fc21   | None            |
| Fedora 20     | 1.4.5-1.fc20   | None            |
| Fedora EPEL 7 | 1.4.4-1.el7    | None            |
| Fedora EPEL 6 | 1.4.4-1.el6    | None            |
| Fedora EPEL 5 | None           | None            |
+---------------+----------------+-----------------+
~❯ pkgwat releases python-pbr  
+---------------+----------------+-----------------+
| release       | stable_version | testing_version |
+---------------+----------------+-----------------+
| Rawhide       | 0.10.8-1.fc23  | None            |
| Fedora 22     | 0.10.7-1.fc22  | None            |
| Fedora 21     | 0.8.0-3.fc21   | None            |
| Fedora 20     | 0.8.0-1.fc20   | None            |
| Fedora EPEL 7 | 0.10.0-1.el7   | None            |
| Fedora EPEL 6 | 0.8.0-1.el6    | None            |
| Fedora EPEL 5 | None           | None            |
+---------------+----------------+-----------------+

Comment 4 Ralph Bean 2015-03-22 19:18:04 UTC
My mistake.  Upon closer inspection, it is an issue with python-stevedore.

Comment 5 Fedora Update System 2015-03-22 19:31:16 UTC
python-stevedore-1.2.0-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/python-stevedore-1.2.0-2.fc22

Comment 6 Török Edwin 2015-03-22 20:18:15 UTC
installing python-pbr fixes the problem, thanks.

Comment 7 Fedora Update System 2015-03-31 22:00:47 UTC
python-stevedore-1.2.0-2.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.